package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag752;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT752Creator;

/**
 * @author wanggang
 * @date 2023-03-02
 */
public class Tag72ZCreator extends AbsTagCreate {

     private MT752Creator mt752Creator;

    public Tag72ZCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt752Creator= (MT752Creator) absMTCreator;
    }

    public void creator()
    {
        String tag72ZValue = mt752Creator.getSendertoReceiverInformation();
        mt752Creator.set("72Z", tag72ZValue);
    }
}

